Bug 53648 - system freeze with tulip eth card
system freeze with tulip eth card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-13 17:02 EDT by Gerald Teschl
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-20 06:54:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-09-13 17:02:44 EDT
Since the upgrade to kernel-2.4.7-10 my stystem will randomly freeze.

The last entry in /var/log/messages is allways the same:
Sep 13 22:39:12 tomcat kernel: eth0: (119595) System Error occured (1)
Sep 13 22:39:42 tomcat kernel: eth0: (119933) System Error occured (1)
Sep 13 22:39:42 tomcat kernel: spurious 8259A interrupt: IRQ7.

The network card is
00:0b.0 Ethernet controller: Digital Equipment Corporation DECchip 21140
[FasterNet] (rev 11)
and uses IRQ 15. IRQ 7 unused:
[root@tomcat gerald]# cat /proc/interrupts
           CPU0
  0:      69567          XT-PIC  timer
  1:       2087          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:       8899          XT-PIC  soundblaster
  8:          2          XT-PIC  rtc
 10:         12          XT-PIC  aic7xxx
 11:          4          XT-PIC  eth1
 12:      20154          XT-PIC  PS/2 Mouse
 14:       8532          XT-PIC  ide0
 15:       6054          XT-PIC  eth0
NMI:          0
ERR:          0
[root@tomcat gerald]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT82C691 [Apollo PRO] (rev 01)
00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo
MVP3/Pro133x AGP]
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev
05)
00:07.1 IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 06)
00:07.3 Host bridge: VIA Technologies, Inc. VT82C596 Power Management
00:09.0 SCSI storage controller: Adaptec AIC-7881U
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS)
00:0b.0 Ethernet controller: Digital Equipment Corporation DECchip 21140
[FasterNet] (rev 11)
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP
(rev 7a)
Comment 1 Arjan van de Ven 2001-09-14 04:32:48 EDT
Does it work if you use the "tulip_old.o" module instead ?
Comment 2 Gerald Teschl 2001-09-20 06:54:52 EDT
No same result with tulip_old. Reverted to the old kernel 2.4.7-6. No problems
thus
far.
Comment 3 Gerald Teschl 2002-02-12 09:38:24 EST
No problems with current kernel

Note You need to log in before you can comment on or make changes to this bug.